Ledger Aborda Rápidamente Vulnerabilidad en Librería Crucial para dApps

Última actualización: 15 diciembre 2023

La empresa de seguridad en criptomonedas Ledger ha respondido con rapidez a un ataque cibernético que comprometió la librería Ledger Connect Kit, utilizada ampliamente en el ecosistema de aplicaciones descentralizadas (dApps). Después de confirmar la brecha de seguridad, Ledger ha reemplazado la versión maliciosa y está trabajando para mitigar posibles riesgos. El ataque, originado en un ataque de phishing a la cuenta NPM de un empleado de Ledger, expuso a los usuarios de dApps a la posibilidad de interactuar con interfaces fraudulentas.

Detalles de la Brecha

La vulnerabilidad se manifestó cuando un empleado de Ledger fue víctima de un ataque de phishing que comprometió su acceso a la cuenta Node Package Manager (NPM). El atacante aprovechó esta brecha para publicar versiones maliciosas de Ledger Connect Kit (1.1.4, 1.1.5 y 1.1.6) junto con una versión corrupta de Wallet Connect. Esta táctica permitió al atacante redirigir fondos de usuarios a una billetera controlada por él.

Rápida Respuesta de Ledger

A pesar de que la vulnerabilidad estuvo activa durante aproximadamente 5 horas, Ledger respondió rápidamente, solucionando la brecha en menos de 40 minutos. La empresa reemplazó la librería maliciosa con una versión auténtica que se está distribuyendo automáticamente. No obstante, Ledger aconseja a los usuarios no utilizar Ledger Connect Kit durante al menos 24 horas como medida de precaución.

Comunicación con Usuarios Afectados

Ledger se encuentra en comunicación con los usuarios cuyos fondos podrían haber sido afectados, trabajando proactivamente para asistirlos. La empresa también ha presentado una denuncia y está colaborando con las autoridades para identificar al atacante. Se destaca la colaboración de otras empresas, como Chainalysis y Tether, en la identificación de la supuesta billetera del atacante y la congelación de fondos en USDT.

Acciones Recomendadas para Desarrolladores

Ledger insta a los desarrolladores a verificar si están utilizando la última versión de Ledger Connect Kit (v. 1.1.8). Además, se sugiere tomar medidas adicionales de seguridad, como revisar la memoria caché en busca de código alterado. Mudit Gupta, jefe de seguridad informática en Polygon Labs, aconseja verificar la versión en la caché con el siguiente enlace: https://cdn.jsdelivr.net/npm/@ledgerhq/connect-kit@1. Si la versión no es 1.1.8, se recomienda borrar la caché.

Conclusiones y Reconocimientos

Ledger agradece la colaboración de empresas como Chainalysis y Tether, así como la pronta respuesta de Wallet Connect al deshabilitar la versión corrupta de su software. A pesar de la brecha de seguridad, la empresa demuestra su compromiso con la seguridad del ecosistema criptográfico y continúa trabajando activamente para proteger a sus usuarios.

A medida que Ledger agradece la colaboración de destacadas empresas como Chainalysis y Tether, y reconoce la rápida respuesta de Wallet Connect, la importancia de la seguridad en el ecosistema criptográfico se vuelve más evidente para los inversores. La confianza en la protección de activos digitales es esencial para aquellos que participan en el emocionante mundo de las criptomonedas. En este contexto, plataformas confiables de inversión como Crypto Boom y Bitcoin Sunrise ofrecen a los usuarios la tranquilidad de operar en un entorno seguro y protegido. La seguridad de las inversiones digitales se convierte así en un aspecto vital para quienes buscan explorar oportunidades en este fascinante mercado financiero.

Author
  • Blanca Alonso Lucero

    Trabajo como redactora, bloguera y periodista independiente para un diario. El tema de las criptomonedas y todo lo que gira en torno a ellas llegó a mi vida de forma bastante accidental hace unos años. Desde entonces, tengo un gran interés en este tema. Me gustan especialmente las NFT, por lo que me dedico intensamente a ellas.

error: Alert: Content is protected !!